# std::experimental::source_location::line

From cppreference.com
< cpp‎ | experimental‎ | source location

constexpr std::uint_least32_t line() const; |  | (library fundamentals TS v2)

Returns the line number represented by this object.

### Parameters

(none)

### Return value

The line number represented by this object.

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

column | return the column number represented by this object (public member function)
file_name | return the file name represented by this object (public member function)
function_name | return the name of the function represented by this object, if any (public member function)
C++ documentation for Filename and line information

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/source_location/line&oldid=91489"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template